# Entity Reference Overflow

This module inserts entities into the output of an Entity Reference Field, in
addition to the values that are set in the field. This can be helpful with
creating "Related Content" sections that need to allow for both manual selection
as well as a dynamic fallback.

This module uses the configuration of the Entity Reference Field to determine
where to pull additional content from.

## Installation

Download and enable this module as normal. On your entity's "Manage Display"
page, select the "Reference Overflow" field formatter. Configurations are:

_View Mode:_ Which view mode to render results as.

_Minimum Items:_ How many items should always be displayed for this field. If
this is set to 6 items and the field only has 2 items picked, this formatter
will pick 4 additional items to also display.

_Fields:_ Choose from any other Entity Reference Fields on this entity to be
used to filter the results from. This leverages Drupal's ability to have
multiple instances of a field on multiple entity types. If filtering by
`field_tags`, this field must exist on any other content types getting pulled
in.
